Fit Ecm
curl --request POST \
--url https://api.ionworks.com/ecm/fit \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'import requests
url = "https://api.ionworks.com/ecm/fit"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {"Content-Type": "multipart/form-data"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST'};
options.body = form;
fetch('https://api.ionworks.com/ecm/fit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Fit Ecm
Fit an ECM to either an example dataset or an uploaded file.
Provide exactly one of example_id (query param) or file (multipart
upload). Returns model-vs-data traces and OCV/R0 parameter curves. RC-pair
parameters are included for superadmins and users in organizations with ECM
results access enabled via nav_config.
When fit_ocv is False and the data contains an
Open-circuit voltage [V] column, the provided OCV is used directly
and only R0 + RC parameters are fitted.
Fit Ecm
Query Parameters
Required range:
0 <= x <= 5Required range:
0 <= x <= 1Required range:
x > 0Body
multipart/form-data
Response
Successful Response
The response is of type Response Fit Ecm Ecm Fit Post · object.
Was this page helpful?
⌘I